Page MenuHomeFreeBSD

Drop "All rights reserved" from my copyright statements.
ClosedPublic

Authored by jhb on Mar 6 2019, 7:35 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Jan 14, 12:13 PM
Unknown Object (File)
Wed, Jan 4, 9:24 PM
Unknown Object (File)
Dec 22 2022, 12:01 PM
Unknown Object (File)
Dec 16 2022, 1:46 AM
Unknown Object (File)
Dec 16 2022, 1:45 AM
Unknown Object (File)
Dec 16 2022, 1:45 AM
Unknown Object (File)
Dec 16 2022, 1:43 AM
Unknown Object (File)
Dec 16 2022, 1:42 AM

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Passed
Unit
No Test Coverage
Build Status
Buildable 22921
Build 22007: arc lint + arc unit

Event Timeline

contrib/elftoolchain/libelf/gelf_mips64el.c
3

Ed, can you push this one upstream once this goes into head?

contrib/elftoolchain/libelf/gelf_mips64el.c
3

Will do.

This revision is now accepted and ready to land.Mar 6 2019, 7:46 PM
stand/i386/libi386/pxe.c
3

Ed suggests that I don't add ARR to both lines here but just move my statement below the existing one which will mostly look the same as a diff except this line wouldn't be present.

sys/dev/rc/rc.c
5

Similarly for this file and the next two.

stand/i386/libi386/pxe.c
3

I'd prefer we didn't add new All rights reserved statements; the current one is ambiguous, but I don't think we need to address that ambiguity in this change?

This revision now requires review to proceed.Mar 6 2019, 7:52 PM

I'll review if you ack your are done updating John

stand/i386/libi386/pxe.c
3

I am mixed on that, but shall defer to you and John, and since he already updated it just agree that we should address this in a seperate review/commit, preferably with associated copyright holders present. Waiting for the new diff, which I thought I saw uploaded but still see a few added All Rights Reserved around the PXE stuff

jhb marked 2 inline comments as done.
  • Don't add new ARR lines, just move my line below existing ones.
sys/x86/x86/mptable.c
4–5

Added white space

jhb marked an inline comment as done.Mar 6 2019, 9:44 PM
This revision is now accepted and ready to land.Mar 6 2019, 9:58 PM
This revision was automatically updated to reflect the committed changes.